<?php

/* DCMS Special
 * Дата последнего редактирования 01.10.2016
 * Модифицировал densnet
 */

foreach (array('start', 'compress', 'sess', 'settings', 'db_connect', 'ipua', 'fnc') as $inc) {
    require_once "../../sys/inc/$inc.php";
}

$banpage = true;
require_once H . 'sys/inc/user.php';

$set['title'] = lang('Правила');

require_once H . 'sys/inc/thead.php';

aut();
err();

#Навигация
echo "<div class='list-group-item-null list-group-item-grey'><small>";
echo "<a href='/' class='hint--right' data-hint='" . lang('На главную') . "'><i class='fa fa-home fa-lg'></i></a> <i class='fa fa-angle-right fa-fw'></i> ";
echo "<a href='/?umenu'>" . lang('Кабинет') . "</a> <i class='fa fa-angle-right fa-fw'></i> ";
echo lang('Правила сайта');
echo "</small></div><br />";

if (is_file(H . 'sys/txt/rules.txt')) {
    $f = file(H . 'sys/txt/rules.txt');

    $k_page = k_page(count($f), $set['p_str']);
    $page = page($k_page);
    $start = $set['p_str'] * ($page - 1);
    $end = $set['p_str'] * $page;
    for ($i = $start; $i < $end && $i < count($f); $i++) {
        echo "<div class='list-group-item-null'>";
        echo ($i + 1) . ') ' . trim(stripcslashes(htmlspecialchars($f[$i]))) . "";
        echo "</div>";
        echo "<div class='hr'></div>";
    }
    #Вывод страниц
    if ($k_page > 1) {
        str("?", $k_page, $page);
    }
} else {
    $doc->NoResult();
}

require_once H . 'sys/inc/tfoot.php';
